Get transaction related XML messages
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/transactions/{id}/messagesimport requests
url = "https://api.pgw-sandbox.finventi.com/v1/transactions/{id}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/transactions/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2023-11-07T05:31:56Z",
"direction": "<string>",
"messageNameId": "<string>",
"sepaMessageId": "<string>",
"xmlValue": "<string>",
"parentSepaMessageId": "<string>"
}
]{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Payment Information
Get transaction XML messages
Retrieves XML messages associated with a payment transaction.
GET
/
v1
/
transactions
/
{id}
/
messages
Get transaction related XML messages
Path Parameters
Transaction ID
Response
Returned xmls related to specific transaction
The timestamp of when the message was created.
Shows whether the message is incoming or outgoing, helping to identify the flow of information.
Indicates the type or purpose of the message (e.g., pain.001 for credit transfer initiations).
A unique identifier for each SEPA message.
The actual XML content of the message, providing details on the transaction.
Refers to the preceding message in a sequence, allowing tracking of message flow.
Last modified on September 26, 2025